###########################################################################
#
#   cpu.mak
#
#   Rules for building CPU cores
#
#   Copyright (c) 1996-2006, Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################

# Misfitmame start

#-------------------------------------------------
# Generic Video Synchronization CPU
#-------------------------------------------------

CPUDEFS += -DHAS_GENSYNC=$(if $(filter GENSYNC,$(CPUS)),1,0)

ifneq ($(filter GENSYNC,$(CPUS)),)
OBJDIRS += $(OBJ)/misfit/cpu/gensync
CPUOBJS += $(OBJ)/misfit/cpu/gensync/gensync.o
DBGOBJS += $(OBJ)/misfit/cpu/misfit/gensync/gensyncd.o
$(OBJ)/misfit/cpu/gensync/gensync.o: gensync.c gensyncd.c gensync.h
endif
